Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155825 - problem with 1400x1050 resolution
Summary: problem with 1400x1050 resolution
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-24 08:59 UTC by Lars G
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 13:20:55 UTC


Attachments (Terms of Use)

Description Lars G 2005-04-24 08:59:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
somehow the 1400x1050 resolution is broken with the newest xorg version for my crt.
when i use 1400x1050 res. i only get 1280x1024 60hz. 
other resolutions work ok.
as a temp. fix i use now the modeline
Modeline     "1400x1050" 179.26 1400 1504 1656 1912  1050 1051 1054 1103 +hsync +vsync in the "Monitor" section of my xorg.conf.
with this i'm able to get the right display (85hz) but the monitor osd still tells it is 1280x1024 but
it's really a 1400x1050 res.


relevant part of my xorg.conf:

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Iiyama"
	ModelName    "Iiyama A201HT, VisionMaster Pro 510"
	HorizSync    30.0 - 130.0
	VertRefresh  50.0 - 160.0
	Modeline     "1400x1050" 179.26 1400 1504 1656 1912  1050 1051 1054 1103 +hsync +vsync #temp fix
	Option	    "DPMS"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "nvidia"
	VendorName  "NVIDIA"
	BoardName   "NVIDIA Corporation nv43 Board"
	Option	    "NoLogo" "on"
	Option	    "RenderAccel" "on"
	Option	    "AllowGLXWithComposite" "on"
	Option	    "RandRRotation" "off"
	Option	    "TwinView" "off"
	Option	    "TwinViewOrientation" "clone"
	Option	    "TVStandard" "PAL-B"
	Option	    "TVOutFormat" "COMPOSITE"
	Option	    "SecondMonitorHorizSync" "30-50"
	Option	    "SecondMonitorVertRefresh" "60"
	Option	    "MetaModes" "1400x1050,800x600; 1280x1024,800x600; 1280x960,800x600; 1152x864,800x600; 1152x768,800x600; 1024x768,800x600; 800x600,800x600; 640x480,640x480"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1400x1050" "1280x1024" "1280x960" "1152x864" "1152x768" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection




Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-27

How reproducible:
Always

Steps to Reproduce:
1. set display to 1400x1050 res.
2. restart x, one gets a flickering 1280x1024 res.


Additional info:

Comment 1 Mike A. Harris 2005-04-24 20:14:32 UTC
Thanks for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "nvidia" video driver, Nvidia provides indirect
customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and
passes them on to Nvidia engineers for investigation.  Once
they've isolated a particular problem, it is often fixed in
a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding
assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo

Setting status to "NOTABUG" (unsupported).

Comment 2 Lars G 2005-04-25 12:36:15 UTC
thanks
have to add that i get the *exact* same behavior with the open "nv" driver.
so i guess it has something to do with this change:

* Fri Apr 22 2005 Soren Sandmann Pedersen <sandmann@redhat.com>
- Make old custom-modelines RHEL4 only. Add .laptop-modes.patch with
  support for various weird laptop resolutions.

so i'm reopening this one



Comment 3 Lars G 2005-04-25 16:30:32 UTC
any particular reason why this is set to closed notabug ?



Note You need to log in before you can comment on or make changes to this bug.